pytorch深度学习环境搭建踩坑实录

python pytorch nvidia驱动 conda包管理器 cuda cuDNN

安装Python

官网下载exe一路next,将以下路径加入环境变量中的path
D:\Program Files\Python\Python37\Scripts
D:\Program Files\Python\Python37

安装conda

简介: Conda 是一个开源的软件包管理系统和环境管理系统,用于安装多个版本的软件包及其依赖关系,并在它们之间轻松切换。
安装:
官网下载miniconda:https://docs.conda.io/en/latest/miniconda.html
选择Windows版本一路next,手动将安装路径中的scripts文件夹路径加入环境变量中的path
cmd中输入conda测试是否安装成功
修改包管理镜像为国内源:
命令行:

conda config --add channels http://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free/
conda config --set show_channel_urls yes

也可以修改C:\users\username\中的.condarc配置文件,其中的channel改为国内源
查看配置:conda config --show-sources
使用:
安装包:

conda install package_name
conda install package_name1 package_name2

其他:https://blog.csdn.net/qq_37392932/article/details/81210470

安装pytorch

因为在代码运行期间出现了这样的报错:The NVIDIA driver on your system is too old (found version 10000),说明我的NVIDIA driver和pytorch版本不匹配,所以我又把pytorh的版本降为了1.0.0版本,重新进行安装

在官网https://pytorch.org/找到命令行,利用conda进行安装,可选择与cuda匹配的先前的版本

如果conda不可用,可以选择下载whl文件https://download.pytorch.org/whl/cu90/torch_stable.html
pip install 文件路径 安装

安装过程如果出现报错:ImportError: numpy.core.multiarray failed to import,可以使用pip install -U numpy进行安装numpy模块

torchvision

缺少torchvision,使用pip install torchvision命令行进行安装,关于torchvision相关信息可以在官网https://pypi.org/project/torchvision/查看到。

安装后代码运行出现报错: cannot import name ‘PILLOW_VERSION’ from ‘PIL’
原因: torchvision在运行时要调用PIL模块的PILLOW_VERSION函数。但是PILLOW_VERSION在Pillow 7.0.0之后的版本被移除了,Pillow 7.0.0之后的版本使用__version__函数代替PILLOW_VERSION函数,可以将Pillow版本降为6.1

pip uninstall pillow  //卸载7.0.0版本的pillow
pip install pillow==6.1  //安装6.1版本

安装cuda

发布了51 篇原创文章 · 获赞 8 · 访问量 3万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览